i2xy {hgu95ccdf} | R Documentation

## Convert (x,y)-coordinates to single-number indices and back.

### Description

Convert (x,y)-coordinates on the chip (and in the CEL file) to the single-number indices used in AffyBatch and CDF environment, and back.

### Usage

    i2xy(i)
    xy2i(x,y)

### Arguments

`x` | numeric. x-coordinate (from 1 to 640)
`y` | numeric. y-coordinate (from 1 to 640)
`i` | numeric. single-number index (from 1 to 409600)

### Details

Type `i2xy` and `xy2i` at the R prompt to view the function definitions.

### See Also

`hgu95ccdf`

### Examples

      xy2i(5,5)
      i     = 1:(640*640)
      coord = i2xy(i)
      j     = xy2i(coord[, "x"], coord[, "y"])
      stopifnot(all(i==j))
      range(coord[, "x"])
      range(coord[, "y"])

[Package hgu95ccdf version 2.0.0 Index]